const sequelize = require('./db');
const {DataTypes} = require('sequelize');

const User = sequelize.define('user', {
    telegram_id: {type: DataTypes.INTEGER, primaryKey: true, unique: true},
    username: {type: DataTypes.STRING},
    level: {type: DataTypes.INTEGER, defaultValue: 1},
    exp: {type: DataTypes.INTEGER, defaultValue: 0},
    money: {type: DataTypes.INTEGER, defaultValue: 0},
    bonus: {type: DataTypes.INTEGER, defaultValue: 0},
    bonustime: {type: DataTypes.INTEGER, defaultValue: 0},
    job: {type: DataTypes.INTEGER, defaultValue: 0},
    jobcheck: {type: DataTypes.INTEGER, defaultValue: 0},
    jobtime: {type: DataTypes.INTEGER, defaultValue: 0},
    business: {type: DataTypes.JSON, defaultValue: 0},
    worktime: {type: DataTypes.INTEGER, defaultValue: 0}
})

module.exports = User;
